using NetworkResurrector.Server.PublishedLanguage.Dto;
using NetworkResurrector.Server.PublishedLanguage.Events;
using System.Threading.Tasks;

namespace NetworkResurrector.Server.Wrapper.Services
{
    public interface IResurrectorService
    {
        Task<ServiceVersion> GetServiceVersion();
        Task<MachineWaked> Wake(string macAddress);
        Task<MachinePinged> Ping(string ipAddressOrMachineName);
        Task<MachineShutdown> Shutdown(string ipAddressOrMachineName);
    }
}